TYPO3:
  CMS:
    Form:
      prototypes:
        standard:
          finishersDefinition:
            Salesforce:
              implementationClassName: NEWEGO\NeFormExt\Domain\Finishers\SalesforceFinisher
              options:
                templateName: 'Default'
                templateRootPaths:
                  10: 'EXT:ne_form_ext/Resources/Private/Frontend/Templates/Finishers/Salesforce/'
              formEditor:
                iconIdentifier: form-finisher
                label: formEditor.elements.Form.finisher.Salesforce.editor.header.label
                predefinedDefaults:
                  options:
                    organizationId: ''
                    sourceLead: ''
                    campaignId: ''
                    returnUrl: ''
                    backupMailSubject: ''
                    backupMailRecipientAddress: ''
                    backupMailSenderAddress: ''
                    debug: false
                    debugMailAddress: ''
              FormEngine:
                label: tt_content.finishersDefinition.Salesforce.label
                elements:
                  organizationId:
                    label: tt_content.finishersDefinition.Salesforce.organizationId.label
                    config:
                      type: input
                      eval: required
                  sourceLead:
                    label: tt_content.finishersDefinition.Salesforce.sourceLead.label
                    config:
                      type: select
                      renderType: selectSingle
                      minitems: 1
                      maxitems: 1
                      size: 1
                      items:
                        10:
                          - ''
                          - ''
                        20:
                          - formEditor.elements.Form.finisher.Salesforce.editor.organizationId.newego
                          - '00Di0000000Zuwg'
                        30:
                          - formEditor.elements.Form.finisher.Salesforce.editor.organizationId.hawe
                          - '00D0N000000jdBq'
                  campaignId:
                    label: tt_content.finishersDefinition.Salesforce.campaignId.label
                    config:
                      type: input
                  returnUrl:
                    label: tt_content.finishersDefinition.Salesforce.returnUrl.label
                    config:
                      type: input
                      eval: required
                  backupMailSubject:
                    label: tt_content.finishersDefinition.Salesforce.backupMailSubject.label
                    config:
                      type: input
                      eval: required
                  backupMailRecipientAddress:
                    label: tt_content.finishersDefinition.Salesforce.backupMailRecipientAddress.label
                    config:
                      type: input
                  backupMailSenderAddress:
                    label: tt_content.finishersDefinition.Salesforce.backupMailSenderAddress.label
                    config:
                      type: input
                  debug:
                    label: tt_content.finishersDefinition.Salesforce.debug.label
                    config:
                      type: check
                  debugMailAddress:
                    label: tt_content.finishersDefinition.Salesforce.debugMailAddress.label
                    config:
                      type: input